Subject: Re: [Cbe-oss-dev] spidernet: dynamic phy setup code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 05 Feb 2007 10:44:32 +1100

On Thu, 2007-02-01 at 12:04 +0100, Jens Osterkamp wrote:
> Ishizaki-san,
> 
> > This patch partially works on celleb but remains 
> > following several problems.
> > 1. It doesn't recover once an ethernet cable which is
> >    connected to a spider_net card is unpluged. 
> 
> My understanding is that you are using the LINK interrupt to detect this.
> For the blade this is not connected but reenabling it wont hurt, I hope.

I would suggest just polling from a delayed work or a timer like sungem
does.

> I still dont see why you need different settings for different speed switches.
> This is getting to a point where access to some hardware would be handy.
> What exact phy are using anyway ?

Yeah, same question...

> > Furthermore, we have a problem that poll_link() may succeed even when
> > the auto-neg initial setting is for different network switch type,
> > and the network card does not work on this case. We retry auto-neg
> > with the another initial setting on this case.
> 
> See above, could you give some more details why this is the case. Or maybe Ben
> knows more about this ?

No, I'm surprised too.

Ben.